## com.vividsolutions.jts.operation.distance
Class ConnectedElementPointFilter

    java.lang.Object
      com.vividsolutions.jts.operation.distance.ConnectedElementPointFilter

All Implemented Interfaces:
  GeometryFilter

public class ConnectedElementPointFilter
extends java.lang.Object
implements GeometryFilter

Extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list

Version:
  1.7

Method Summary
`void` `filter(Geometry geom)` Performs an operation with or on `geom`.
`static java.util.List` `getCoordinates(Geometry geom)` Returns a list containing a Coordinate from each Polygon, LineString, and Point found inside the specified geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCoordinates

    public static java.util.List getCoordinates(Geometry geom)

  Returns a list containing a Coordinate from each Polygon, LineString, and Point found inside the specified geometry. Thus, if the specified geometry is not a GeometryCollection, an empty list will be returned.

### filter

    public void filter(Geometry geom)

  Description copied from interface: `GeometryFilter`
  Performs an operation with or on `geom`.

  Specified by:
    `filter` in interface `GeometryFilter`
  Parameters:
    `geom` - a `Geometry` to which the filter is applied.